#include <bits/stdc++.h>

using namespace std;
using ll = long long;

void solve() {
    int n, m;
    cin >> n >> m;
    vector<ll> x(m);
    for (int i = 0; i < m; i++)
        cin >> x[i];
    ll ans = 0;
    int cnt = 0;
    for(int i = 0; i < m; i++){
        if(cnt < n){
            ans += x[i];
            cnt++;
        }else{
            ans-=x[i];
            cnt--;
        }
    }
    cout << ans << '\n';
}

int main() {
    ios::sync_with_stdio(false);
    cin.tie(nullptr);
    int t;
    cin >> t;
    while (t--)
        solve();
    return 0;
}
/*
K ai + 1
N-K + 1

проходимся по массиву поддерживаем максимумы и для каждого сколько у них +1
 при добавлении нового элемнт мы либо его добавляем либо он идет cadd+1
 */